package com.chinacreator.video.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.chinacreator.video.annotation.Log;
import com.chinacreator.video.bean.ActivityMsgBean;
import com.chinacreator.video.bean.ContinueBean;
import com.chinacreator.video.bean.VipInfo;
import com.chinacreator.video.dto.DataOutPipe;
import com.chinacreator.video.dto.QueryVipLogOutPipe;
import com.chinacreator.video.dto.QueryVipOutPipe;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.mapper.DictionaryDao;
import com.chinacreator.video.service.ActivityMsgService;
import com.chinacreator.video.service.ContinueVipService;
import com.chinacreator.video.util.URLUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
public class FastJsonTest {

	



	@RequestMapping("/fastjson")
    public String fastjson() {
		System.out.println("/*************************测试fastjson升级是否成功开始*************************/");
		System.out.println("输出下面内容代表成功： ");
		System.out.println("com.alibaba.fastjson.JSONException: safeMode not support autoType : java.net.InetSocketAddress");
		try {
			String jsonStr = "{\"x\":{\"@type\":\"java.net.InetSocketAddress\"{\"address\":,\"val\":\"x.threatbook.com\"}}}";
			Object json1 = JSONObject.parse(jsonStr);
			System.out.println("测试输出内容=>"+json1);
		} catch (Exception e) {
			//e.printStackTrace();
			System.out.println("输出信息=》"+e.getMessage());
		}
		System.out.println("/**************************测试fastjson升级是否成功结束************************/");
        return null;
	}
}
