package com.chinacreator.video.mapper;

import org.apache.ibatis.annotations.Param;

public interface ActiveAiqy20AugustDao {




    /**
     * 领取红包记录
     *
     * @param userid
     * @param cpid
     * @param spid
     * @param activetype
     */
    void insert(
            @Param("userid") String userid,
            @Param("cpid") String cpid,
            @Param("spid") String spid,
            @Param("activetype") String activetype,
            @Param("province") String province,
            @Param("prize") String prize,
            @Param("prizeid") String prizeid
    );


    /**
     * 是否有效订购关系
     *
     * @param userid
     * @param cpid
     * @param spid
     * @return
     */
    int getOrderRelation(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid);


    /**
     * 是否已经抽奖
     *
     * @param userid
     * @param cpid
     * @param spid
     * @param activetype
     * @return
     */
    int getJoinActive(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid, @Param("activetype") String activetype);

    int getrealJoinActive(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid, @Param("activetype") String activetype);

    String getOrderPrivince(@Param("userid") String userid, @Param("cpid") String cpid, @Param("spid") String spid);

    int getCount();
    void savePrize(@Param("userid") String var1, @Param("username") String var2, @Param("address") String var3, @Param("phone") String var4, @Param("prize") String var5);

    int getSavePrize(@Param("userid") String var1);

    String getPrize(@Param("userid") String var1, @Param("cpid") String var2, @Param("spid") String var3, @Param("activetype") String var4);


}
