package com.chinacreator.video.mapper;

import com.chinacreator.video.bean.VipAccountBean;
import com.chinacreator.video.bean.VipLogBean;
import org.apache.ibatis.annotations.Param;
import com.chinacreator.video.bean.ActivityBean;


public interface ActiveDao {
	
	ActivityBean getActivityInfoByFh(@Param("userid")String  userid,@Param("cpid")String cpid,@Param("spid")String spid,@Param("fhcpid")String fhcpid,@Param("fhspid")String fhspid,@Param("activitytype")String activityType);

	ActivityBean getActivityInfo(@Param("userid")String  userid,@Param("cpid")String cpid,@Param("spid")String spid,@Param("activitytype")String activityType);
	
	void orderActivity(ActivityBean activityBean);
	
	void canceActivity(ActivityBean activityBean);
	
	void updateVip(ActivityBean activityBean);

	void updateVipStatus(ActivityBean activityBean);

	void updateVipMulti(ActivityBean activityBean);
	
	void updateContimueVip(ActivityBean activityBean);

	void updateContimueVipStatus(ActivityBean activityBean);

	void insert(ActivityBean activityBean);
	
	void update(ActivityBean activityBean);

	void updateContinueOrder(VipLogBean vipLog);

	void updateContinueOrderWithFh(VipLogBean vipLog);

	ActivityBean getActivity(String requestid);

	void updateVipWithRequestid(ActivityBean activityBean);

	void updateAccount(VipAccountBean vipAccount);

	VipAccountBean getAccount(String requestid);
}
