package com.chinacreator.video.mapper;

import org.apache.ibatis.annotations.Param;


public interface ActiveMango3Dao {
	
	int queryVipCountCurDay();
	
	int queryVipCountTotal();
	
	/**
	 * 查询订购数，已经订购了的不能领取
	 * @param userid
	 * @return
	 */
	int queryOrderRelation16(@Param("userid")String userid);
	
	int queryOrderRelation15(@Param("userid")String userid);
	
	/**
	 * 查询号段是不是联通号段
	 * 
	 * @param userid
	 * @return
	 */
	int queryHeader(@Param("userid")String userid);
	
	/**
	 * 查询携号转网
	 * 
	 * @param userid
	 * @return
	 */
	int queryXHZW(@Param("userid")String userid);
	
	
	/**
	 * 是否有领到记录
	 * 
	 * @param userid
	 * @return
	 */
	int getJoinRecord(@Param("userid")String userid);
	
	
	/**
	 * 领取会员记录
	 * 
	 * @param id
	 * @param userid
	 * @param cpid
	 * @param spid
	 * @param activetype
	 * @param vipstatus
	 */
	int insert(@Param("userid")String  userid,
			@Param("activetype")String activetype,
			@Param("vipid")String vipid,
			@Param("status")String status,
			@Param("orderid")String orderid);

	
	/**
	 * 查询记录状态
	 * 
	 * @param userid
	 * @return
	 */
    String getRecordStatus(@Param("userid")String userid);
	
	
	/**
	 * 更新领取状态
	 * 
	 * @param userid
	 * @param status
	 * @return
	 */
	int updateJoinStatus(@Param("userid")String userid,@Param("status")String status,@Param("old")String old);
	
	/**
	 * 更新领取状态
	 * 
	 * @param userid
	 * @param status
	 * @return
	 */
	int joinSucceed(@Param("userid")String userid,@Param("status")String status);
	
	
	int deteleJoining(@Param("userid")String userid);
}
