package com.chinacreator.video.mapper;

import com.chinacreator.video.bean.FlowQueryBean;
import com.chinacreator.video.bean.FlowUsedBean;
import com.chinacreator.video.bean.FlowUsedDetail;

import java.util.List;

/**
 * 流量减免
 */
public interface FlowDao {

    /**
     * 查询已经使用的流量
     * @return
     */
    FlowUsedBean findUsedFlowBase(FlowQueryBean flowQueryBean);

    /**
     * 查询已经使用的流量
     * @return
     */
    List<FlowUsedDetail> findUsedFlowDetail(FlowQueryBean flowQueryBean);

}
