package com.chinacreator.video.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.chinacreator.video.bean.HxSubProduct;


public interface HxOrderGroupDao {
	
	public List<HxSubProduct> querySubSpid(@Param("cpid")String cpid,@Param("spid")String spid);
	
	/**
	 * 是否有子产品会员领取记录
	 * 
	 * @param userid
	 * @param cpid
	 * @param spid
	 * @param orderid
	 * @return
	 */
	public int countVipSub(@Param("userid")String userid,@Param("orderid")String orderid,@Param("cpid")String cpid,@Param("spid")String spid);
	
	/**
	 * 保存子产品会员领取记录
	 * 
	 * @param userid
	 * @param cpid
	 * @param spid
	 * @param orderid
	 * @return
	 */
	public int insertSub(@Param("userid")String userid,@Param("orderid")String orderid,@Param("cpid")String cpid,@Param("spid")String spid);
	
	
	/**
	 * 更新领取会员状态
	 * 
	 * @param userid
	 * @param orderid
	 * @param cpid
	 * @param spid
	 * @return
	 */
	public int updateSub(@Param("userid")String userid,@Param("orderid")String orderid,@Param("subcpid")String subcpid,@Param("subspid")String subspid);
	
}
