package com.chinacreator.video.service;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.chinacreator.video.bean.ChannelBean;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.mapper.ChannelDao;

@Component
public class ChannelValidate {

	@Autowired
	private ChannelDao channelDao;
	
	public void validate(String channel) throws BussinessException {
		if(StringUtils.isEmpty(channel)) {
			throw new BussinessException("9070", "channel不能为空");
		}
		ChannelBean channelbean = channelDao.queryChannel(channel);
		if(channelbean == null) {
			throw new BussinessException("9071", "channel验证失败");
		}
	}
}
