package com.chinacreator.video.thread;

import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.chinacreator.video.bean.VipInfo;
import com.chinacreator.video.mapper.DictionaryDao;
import com.chinacreator.video.util.AESUtil;
import com.chinacreator.video.util.DesUtil;
import com.chinacreator.video.util.MD5;
import com.chinacreator.video.util.URLUtil;

public class VacQueryUtil {
	
	private static final String MOB_KEY = "ac22273abb2f4960";
	
	public static  List<String> list = new ArrayList<String>(); 
	public static  int i = 0; 
	
	static{
		list.add("http://10.199.99.136:8051/videoif/vacqry.do");
		list.add("http://10.199.99.136:8052/videoif/vacqry.do");
		list.add("http://10.199.99.136:8053/videoif/vacqry.do");
		
		list.add("http://10.199.99.141:8051/videoif/vacqry.do");
		list.add("http://10.199.99.141:8052/videoif/vacqry.do");
		list.add("http://10.199.99.141:8053/videoif/vacqry.do");
		
		list.add("http://10.199.99.142:8051/videoif/vacqry.do");
		list.add("http://10.199.99.142:8052/videoif/vacqry.do");
		list.add("http://10.199.99.142:8053/videoif/vacqry.do");
		
		list.add("http://10.199.99.160:8051/videoif/vacqry.do");
		list.add("http://10.199.99.160:8052/videoif/vacqry.do");
		list.add("http://10.199.99.160:8053/videoif/vacqry.do");
		
		list.add("http://10.199.99.161:8051/videoif/vacqry.do");
		list.add("http://10.199.99.161:8052/videoif/vacqry.do");
		list.add("http://10.199.99.161:8053/videoif/vacqry.do");
	}
	
	public static String getBaseurl(){
		try {
			if(i>=0 && i<list.size()){
				++i;
				return list.get(i-1);
			}else{
				i=1;
			}
		} catch (Exception e) {}
		return list.get(0);
	}
	
    public static JSONObject queryVAC(VipInfo vipinfo){
    	
    	try {
//    		String baseurl = "http://114.255.201.228:86/videoif/vacqry.do";
//    		String baseurl = "http://10.199.99.177:8030/videoif/vacqry.do";
    		
    		//生产环境内网地址
    		String baseurl = "http://10.199.99.147:8092/videoif/vacqry.do";
    		
//    		String baseurl=getBaseurl();
    		
    		Map<String,String> param = new HashMap<>();
    		
    		String mobType = vipinfo.getMobtype();
    		String pwd = vipinfo.getPwd();
    		System.out.println("QUERY VAC PWD-----"+pwd);
    		String userid = vipinfo.getUserid();
    		if("1".equals(mobType)) {
    			userid = AESUtil.encrypt(userid, MOB_KEY);
    		}
    		userid =  URLEncoder.encode(DesUtil.encode(userid,  pwd),"utf-8");
    		String channel = vipinfo.getChannel()==null?"":vipinfo.getChannel();
    		
    		param.put("apptype","2");
    		param.put("channel",channel);
    		param.put("userid",userid);
    		param.put("cpid",vipinfo.getCpid());
    		param.put("spid",vipinfo.getSpid());
    		
    		String url = URLUtil.mapToUrl(baseurl,param);
    		System.out.println(url);
    		String resp = null;
    		try {
    			resp = URLUtil.get(url,5000);
    			
    			return JSONObject.parseObject(resp);
    		} catch (Exception e) {
    			e.printStackTrace();
    		} finally {}
    		System.out.println("QUERY VAC resp-----"+resp);
		} catch (Exception e) {
			e.printStackTrace();
		}
    	
    	return null;
    	
    }

	/**
	 * cap订购关系查询
	 * http://172.16.1.81:809/univideo/queryCapOrder
	 * @param vipinfo
	 * @param dictionaryDao
	 * @return
	 */
	public static JSONObject queryCAP(VipInfo vipinfo, DictionaryDao dictionaryDao) {
		Map<String, String> param = new HashMap<>();
		try {
			String baseUrl = dictionaryDao.getValue("queryCapOrderUrl");
			String userid = vipinfo.getUserid();
			String cpid = vipinfo.getCpid();
			String spid = vipinfo.getSpid();
			String channel = "kcqueryorder";
			String pwd = "315b5de2";
			userid = DesUtil.encode(userid, pwd);
			String timestamp = (System.currentTimeMillis()) / 1000 + "";
			String signature = cpid + spid + userid  + channel + timestamp + pwd;
			signature = MD5.MD5Encode(signature);
			param.put("channel", channel);
			param.put("userid", userid);
			param.put("cpid", cpid);
			param.put("spid", spid);
			param.put("apptype", "2");
			param.put("timestamp", timestamp);
			param.put("signature", signature);
			String resp = URLUtil.postJson(baseUrl, JSON.toJSONString(param), 5000);
			return JSONObject.parseObject(resp);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}



}
