package com.chinacreator.video.thread;

import java.util.Date;
import java.util.List;

import com.alibaba.druid.sql.visitor.functions.If;
import com.alibaba.fastjson.JSON;
import com.chinacreator.video.bean.ActivityBean;
import com.chinacreator.video.bean.ActivityVipConfigBean;
import com.chinacreator.video.bean.UserMsgBean;
import com.chinacreator.video.bean.VipInfo;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.service.ActivityVipConfigService;
import com.chinacreator.video.service.AiqiyiGiveMonthVipService;
import com.chinacreator.video.service.CtvGiveVipService;
import com.chinacreator.video.service.GiveVipService;
import com.chinacreator.video.service.LeshiGiveVipService;
import com.chinacreator.video.service.LeshiNewGiveVipService;
import com.chinacreator.video.service.MangtvGiveVipService;
import com.chinacreator.video.service.VipGroupService;
import com.chinacreator.video.service.YoukuVipService;
import com.chinacreator.video.service.handle.GetVipService;
import com.chinacreator.video.util.StrUtil;

public class VipGroupThread extends Thread{
	private VipInfo vipinfo;
	
	private List<ActivityBean> vipList ;
	
	private VipGroupService service;
	
	private ActivityVipConfigService vipConfigService;

    public VipGroupThread(VipInfo vipinfo,List<ActivityBean> vipList,VipGroupService service,ActivityVipConfigService vipConfigService)
    {
    	this.vipinfo = vipinfo;
        this.vipList = vipList;
        this.service = service;
        this.vipConfigService = vipConfigService;
    }
	
    public void run(){
    	
//    	//测试异步
//    	try {
//    		System.out.println("1>>>>>"+new Date());
//    		sleep(5000);
//    		System.out.println("2>>>>>"+new Date());
//			
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
    	
        if(vipList != null && vipList.size()>0){
        	for(ActivityBean bean :vipList){
        		try {
        			vipinfo.setCpid(bean.getCpid());
        			vipinfo.setSpid(bean.getSpid());
        			vipinfo.setUsertype("4");
        			vipinfo.setUserval(bean.getUserid());

        			ActivityVipConfigBean config = vipConfigService.getVipConfigBean(vipinfo.getActivetype(), bean.getCpid(), bean.getSpid());
        			if(config != null){
        				vipinfo.setVippool(config.getVippool());
        			}
        			
        			if("tencent".equals(bean.getCpid())) {
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							GiveVipService giveVipService = service.getTencentService();
	        				giveVipService.give(vipinfo);
						}
        				
        			}else if("cctv".equals(bean.getCpid())) {
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							CtvGiveVipService cctvService = service.getCctvMonthService();
	        				cctvService.give(vipinfo);
						}
        				
        			}else if("aiqy".equals(bean.getCpid())) {
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							AiqiyiGiveMonthVipService aiqyMonthService = service.getAiqyMonthService();
	        				aiqyMonthService.give(vipinfo);
						}
        				
        			}else if ("leshilt".equals(bean.getCpid())){
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							if ("newIntfc".equals(vipinfo.getExt())){
	        					LeshiNewGiveVipService leshiService = service.getLeshiNewService();
	        					leshiService.give(vipinfo);
	        				}else{
	        					LeshiGiveVipService leshiService = service.getLeshiService();
	        					leshiService.give(vipinfo);
	        				}
						}
        				
        			}else if ("mangtv16".equals(bean.getCpid())){
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							MangtvGiveVipService mangtv16Service = service.getMangtv16Service();
	        				mangtv16Service.give(vipinfo);
						}
        				
        			}else if ("youtu".equals(bean.getCpid())){
        				if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
        					GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							YoukuVipService youkuService = service.getYoukuService();
	        				youkuService.giveVip(vipinfo);
						}
        				
        			}else if ("kcpptv".equals(bean.getCpid())){
						if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
							GetVipService getVipService = service.getVipService();
							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
						}else{
							throw new BussinessException("9099", "领取会员池配置异常");
						}

					} else if ("kckeep1".equals(bean.getCpid()) || "kckeep2".equals(bean.getCpid())){
						if(StrUtil.isNotBlank(config.getVipid(), config.getVippwd())){
							GetVipService getVipService = service.getVipService();
//							getVipService.give(vipinfo, config.getVipid(), config.getVippwd());
							// 异步
							getVipService.giveAsyn(vipinfo,config.getVipid(),config.getVippwd(),bean);
						}else{
							throw new BussinessException("9099", "领取会员池配置异常");
						}
					}else {

        				throw new BussinessException("9088", "该cp暂未开放"+bean.getCpid());
        			}
					
        			//会员赠送成功
        			bean.setVipstatus("0");
        			service.getActiveDao().updateVip(bean);
        			service.getUserMsgDao().insertMsg(getUserMsgBean(vipinfo));
				} catch (Exception e) {
					e.printStackTrace();


//					//会员赠送失败
//					if("cctv".equals(bean.getCpid())){
//						//沿用原先的领取逻辑：cctv会员领取一次失败后，不能再领取，不知道的为什么这样
//						bean.setVipstatus("1");
//					}else{
//						bean.setVipstatus("2");
//					}
					//腾讯会员充值超时，可以重试
					if("tencent".equals(bean.getCpid())  && e instanceof BussinessException &&
							"9070".equals(((BussinessException) e).getCode())) {
						/**会员充值重试*/
					}

					if (e instanceof BussinessException && "990099".equals(((BussinessException) e).getCode())) {
						System.out.println("异步领取中" + vipinfo);
					}else {
						//领取失败后不能重新领取
						bean.setVipstatus("1");

						service.getActiveDao().updateVip(bean);
					}

				}
        	}
        }
    }
    
    
	public UserMsgBean getUserMsgBean(VipInfo activityInfo) {
		UserMsgBean userMsgBean = new UserMsgBean();
		userMsgBean.setActiveid(activityInfo.getActivetype());
		userMsgBean.setUserid(activityInfo.getUserid());
		userMsgBean.setCpid(activityInfo.getCpid());
		userMsgBean.setSpid(activityInfo.getSpid());
		userMsgBean.setMsg1(activityInfo.getUserval());
		userMsgBean.setMsg2(activityInfo.getUsertype());
		userMsgBean.setMsg3(activityInfo.getVipname() == null ?"":activityInfo.getVipname());
		System.out.println("UserMsgBean="+JSON.toJSONString(activityInfo));
		return userMsgBean;
	}
	

}
