package com.chinacreator.video;

import java.net.URLEncoder;

import org.junit.Test;

import com.chinacreator.video.util.AESUtil;
import com.chinacreator.video.util.DesUtil;
import com.chinacreator.video.util.MD5;
import com.chinacreator.video.util.URLUtil;

public class Tests3 { 
	
	private static String url ="http://127.0.0.1:8090/";
	
	
	@Test
	public void test() throws Exception {
		System.out.println(15/30);
	}
	
	@Test
	public void order() throws Exception {
		url = url +"order?";
		String userid = "18574414678";
		String cpid ="tencent";
		String spid="84";
		String pwd = "tenc1234";
		String timestamp = (System.currentTimeMillis()/1000)+"";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&ordertype=2";
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void ordertwowei() throws Exception {
		url = url +"order?";
		String userid = "18574414678";
		String cpid ="twowei";
		String spid="10011";
		String pwd = "7dea1gd5";
		String timestamp = (System.currentTimeMillis()/1000)+"";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&ordertype=2";
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void cancel() throws Exception {
		url = url +"cancel?";
		String userid = "18574414678";
		String cpid ="tencent";
		String spid="84";
		String pwd = "tenc1234";
		String timestamp = "1";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&canceltype=2";
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void canceltwowei() throws Exception {
		url = url +"cancel?";
		String userid = "18569059960";
		String cpid ="twowei";
		String spid="10011";
		String pwd = "7dea1gd5";
		String timestamp = (System.currentTimeMillis()/1000)+"";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&canceltype=1";
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void queryOrder() throws Exception {
		url = url +"queryOrder?";
		String userid = "18687182964";
		String cpid ="tencent";
		String spid="84";
		String pwd = "tenc1234";
		String timestamp =  (System.currentTimeMillis()/1000)+"";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void queryOrdertwowei() throws Exception {
		url = url +"queryOrder?";
		String userid = "18574414678";
		String cpid ="twowei";
		String spid="10011";
		String pwd = "7dea1gd5";
		String timestamp =  (System.currentTimeMillis()/1000)+"";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String signature = MD5.MD5Encode(cpid+spid+userid+pwd+timestamp);
		System.out.println(signature);
		url = url+"cpid="+cpid+"&spid="+spid+"&userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void queryvip() throws Exception {
		url = url +"queryActivity?";
		String userid = "18574414678";
		String pwd = "tenc1234";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String timestamp = "1";
		String activetype = "6";
		String signature = MD5.MD5Encode(userid+pwd+timestamp);
		url = url+"userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&activetype="+activetype;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void givevip() throws Exception {
		url = url +"joinActivity?";
		String userid = "18574414678";
		String pwd = "tenc1234";
		userid = DesUtil.encode(AESUtil.encrypt(userid, "ac22273abb2f4960"), pwd);
		String timestamp = "1";
		String activetype = "6";
		String usertype = "1";
		String userval="306581007";
		String signature = MD5.MD5Encode(userid+userval+pwd+timestamp);
		url = url+"userid="+URLEncoder.encode(userid, "utf-8")+"&signature="+signature+"&timestamp="+timestamp+"&activetype="+activetype+"&usertype="+usertype+"&userval="+userval;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
}
