package com.chinacreator.video.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.chinacreator.video.annotation.Log;
import com.chinacreator.video.bean.VipInfo;
import com.chinacreator.video.dto.DataOutPipe;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.service.VipMango3Service;

@RestController
public class ActivityMango3 {


	@Autowired
	private VipMango3Service service;

//	/**
//	 * 刷新缓存
//	 * @param info
//	 * @return
//	 * @throws BussinessException
//	 */
//	@Log
//	@RequestMapping("/vipMango3/refresh")
//    public DataOutPipe<?> clear(VipInfo info) throws BussinessException {
//		DataOutPipe<?> pipe = new DataOutPipe<>();
//		service.refresh(info);
//
//		service.totalCount(info);
//        return pipe;
//	}

	/**
	 * 会员领取资格查询
	 *
	 * @param info
	 * @return
	 * @throws BussinessException
	 */
	@Log
//	@RequestMapping("/vipMango3/queryCount")
    public DataOutPipe<Map<String,String>> queryCount(VipInfo info) throws BussinessException {
		DataOutPipe<Map<String,String>> pipe = new DataOutPipe<Map<String,String>>();
		service.refresh(info);

		Map<String,String> map = service.queryCount(info);
		pipe.setData(map);
        return pipe;
	}


	/**
	 * 会员领取资格查询
	 *
	 * @param info
	 * @return
	 * @throws BussinessException
	 */
	@Log
//	@RequestMapping("/vipMango3/queryVip")
    public DataOutPipe<?> queryVip(VipInfo info) throws BussinessException {
		DataOutPipe<?> pipe = new DataOutPipe<>();
		service.checkVipQuery(info);

//		service.queryVip(info);
        return pipe;
	}


	/**
	 * 会员领取
	 *
	 * @param activityInfo
	 * @return
	 * @throws BussinessException
	 */
	@Log
//	@RequestMapping("/vipMango3/joinVip")
    public DataOutPipe<?> joinVip(VipInfo info) throws BussinessException {
		DataOutPipe<?> pipe = new DataOutPipe<>();

		service.checkVip(info);
		service.giveVip(info);
        return pipe;
	}



}
