package com.chinacreator.video.service;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.chinacreator.video.bean.ActivityVipConfigBean;
import com.chinacreator.video.mapper.ActivityVipConfigDao;

@Component
public class ActivityVipConfigService {
	
	//十分钟
	public static long size = 600000L;
	
	public static Map<String,Object> map = new HashMap<String, Object>();

	@Autowired
	private ActivityVipConfigDao activityVipDao;
	
	public ActivityVipConfigBean getVipConfigBean(String activetype,String cpid,String spid){
    	if(activetype == null || "".equals(activetype.trim())){
    		return null;
    	}
    	if(cpid == null || "".equals(cpid.trim())){
    		return null;
    	}
    	if(spid == null || "".equals(spid.trim())){
    		return null;
    	}
    	
    	ActivityVipConfigBean config = null;
    	long key = new Date().getTime();
    	try {
    		Long key2 = (Long)map.get("ext_"+activetype+"_"+cpid+"_"+spid);
    		if(key2 != null && key2+size>key){
    			config = (ActivityVipConfigBean)map.get("config_"+activetype+"_"+cpid+"_"+spid);
    		}
    	} catch (Exception e) {}
    	
    	if(config == null ){
    		config = activityVipDao.findVipConfig(activetype, cpid, spid);
    		if(config != null ){
    			map.put("ext_"+activetype+"_"+cpid+"_"+spid,key);
    			map.put("config_"+activetype+"_"+cpid+"_"+spid,config);
    		}
    	}
    	
    	return config;
    }
}
