package com.chinacreator.video.service;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.chinacreator.video.bean.AsynOrderBean;
import com.chinacreator.video.exception.BussinessException;
import com.chinacreator.video.mapper.AsynDao;

@Component
public class OrderidValidate {

	@Autowired
	private AsynDao asynDao;
	
	public void validateRecive(String orderid,String channel) throws BussinessException {
		if(StringUtils.isEmpty(orderid)) {
			throw new BussinessException("9073", "orderid不能为空");
		}
		AsynOrderBean bean = asynDao.query(orderid, channel);
		if(bean != null) {
			throw new BussinessException("9074", "orderid已使用");
		}
	}
	
	public void validateQuery(String orderid,String channel) throws BussinessException {
		if(StringUtils.isEmpty(orderid)) {
			throw new BussinessException("9073", "orderid不能为空");
		}
	}
}
