package com.chinacreator.video.util;

import com.alibaba.fastjson.JSON;
import com.chinacreator.video.mapper.DictionaryDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

public class CycleUtil {

    private static final Logger log = LoggerFactory.getLogger("Cyclelog");

    public static String cycleReorder(String mdn,String spproductid,String firstorderid, String cpid,String spid) throws Exception{
        Map<String,String> logMap = new HashMap<>();
        logMap.put("mdn",mdn);
        logMap.put("spproductid",spproductid);
        logMap.put("firstorderid",firstorderid);
        logMap.put("cpid",cpid);
        logMap.put("spid",spid);

        long startTime = System.currentTimeMillis();
        DictionaryDao dictionaryDao = SpringUtils.getBean(DictionaryDao.class);
        String vacUrl = dictionaryDao.getValue("cycleReOrder");
        if(vacUrl.indexOf("?") == -1) {
            vacUrl += "?";
        } else {
            vacUrl += "&";
        }
        vacUrl += "mdn=" + mdn;
        vacUrl += "&spproductid=" + spproductid;
        vacUrl += "&firstorderid=" + firstorderid;
        vacUrl += "&cpid=" + cpid;
        vacUrl += "&spid=" + spid;
        String result = URLUtil.get(vacUrl);
        logMap.put("result", result);
        logMap.put("times", String.valueOf(System.currentTimeMillis()-startTime));
        log.info(JSON.toJSONString(logMap));
        return  result;

    }


}
