package com.chinacreator.video;

import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import com.chinacreator.video.util.AESUtil;
import com.chinacreator.video.util.DesUtil;
import com.chinacreator.video.util.MD5;
import com.chinacreator.video.util.URLUtil;

public class TestChannel {

	//private static String url ="http://127.0.0.1:8093/";

	private static String url ="http://114.255.201.228:86/activity/";

	//private static String url = "http://114.255.201.238:8090/video-activity/";

	@Test
	public void order() throws Exception {
		url = url + "channelOrderVip?";
		String userid = "18574414678";
		String cpid = "tencent";
		String spid = "84";
		String orderid = "152470810916611";
		String usertype = "1";
		String userval = "306581007";
		String activetype = "6";
		//订购时传0  退订时传1
		String type = "0";
		String channel = "TX20_wtqd";
		String pwd = "khrewqad";
		String timestamp = (System.currentTimeMillis() / 1000) + "";
		userid = DesUtil.encode(userid, pwd);
		String signature = MD5.MD5Encode(orderid + type + cpid + spid + userid + pwd + timestamp);
		System.out.println(signature);
		url = url + "cpid=" + cpid + "&spid=" + spid + "&userid=" + URLEncoder.encode(userid, "utf-8") +
				"&signature=" + signature + "&timestamp=" + timestamp + "&channel=" + channel + "&type=" +
				type + "&orderid=" + orderid + "&backurl=&apptype=2" + "&usertype=" + usertype + "&userval=" + userval + "&activetype=" + activetype;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}


	@Test
	public void queryorder() throws Exception {
		url = url + "queryChannelOrder?";
		String userid = "18574414678";
		String cpid = "tencent";
		String spid = "84";
		String pwd = "khrewqad";
		String channel = "TX20_wtqd";
		String timestamp = (System.currentTimeMillis() / 1000) + "";
		userid = DesUtil.encode(userid, pwd);
		String signature = MD5.MD5Encode(cpid + spid + userid + pwd + timestamp);
		System.out.println(signature);
		url = url + "cpid=" + cpid + "&spid=" + spid + "&userid=" + URLEncoder.encode(userid, "utf-8") + "&signature=" + signature + "&timestamp=" + timestamp + "&channel=" + channel;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}

	@Test
	public void queryvip() throws Exception {
		url = url + "queryVipByChannel?";
		String userid = "18673197465";
		String pwd = "khrewqad";
		String channel = "TX20_wtqd";
		String activetype = "6";
		String timestamp = (System.currentTimeMillis() / 1000) + "";
		userid = DesUtil.encode(userid, pwd);
		String signature = MD5.MD5Encode(userid + activetype + channel + pwd + timestamp);
		System.out.println(signature);
		url = url + "userid=" + URLEncoder.encode(userid, "utf-8") + "&signature=" + signature + "&timestamp=" + timestamp + "&channel=" + channel + "&activetype=" + activetype;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}

	@Test
	public void multy() throws Exception {
		// 腾爱优三选一会员领取

		String baseUrl = "http://114.255.201.228:86/activity/joinMultiVip";
		//baseUrl = "http://127.0.0.1:8080/joinMultiVip" ;

		String userid = "18673197465";
		String pwd = "chsh5a1d";  //
		String enUserid = "";
		try {
			userid = DesUtil.encode(userid, pwd);
			enUserid = URLEncoder.encode(userid, "utf-8");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String activetype = "84";
		String channel = "test"; // 测试mangojs  正式 jstest
		//String timestamp = System.currentTimeMillis()/1000L + "" ;
		String timestamp = String.valueOf(System.currentTimeMillis() / 1000);
		String givecpid = "aiqy,kcpptv";
//  timestamp = "1589180534" ;
//  System.out.println("activetype>>>>>"+activetype) ;
//  System.out.println("userid>>>>>"+userid) ;
//  System.out.println("givecpid>>>>>"+givecpid) ;
//  System.out.println("timestamp>>>>>"+timestamp) ;
//  System.out.println("pwd>>>>>"+pwd) ;
		String signature = MD5.MD5Encode(activetype + userid + givecpid + timestamp + pwd).toLowerCase();
		System.out.println("signature>>>>>>" + signature);
		Map<String, String> params = new HashMap<String, String>();
		params.put("userid", enUserid);
		params.put("activetype", activetype);
		params.put("channel", channel);
		params.put("timestamp", timestamp);
		params.put("signature", signature);
		params.put("givecpid", givecpid);
		String url = URLUtil.mapToUrl(baseUrl, params);
		System.out.println(url);
		String result = null;
		try {
			result = URLUtil.get(url);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		System.out.println("result>>>>>>>>>>" + result);

	}


	@Test
	public void joinpptv() throws Exception {
		// pptv会员领取

		String baseUrl = "http://114.255.201.228:86/activity/queryPptvVip";
		//baseUrl = "http://127.0.0.1:8080/joinMultiVip" ;

		String userid = "18673197465";
		String aesKey = "ac22273abb2f4960";
		String pwd = "eb9b1e8b";  //
		String enUserid = "";
		try {
			//userid=AESUtil.encrypt(userid,aesKey);
			userid = DesUtil.encode(userid, pwd);
			enUserid = URLEncoder.encode(userid, "utf-8");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		String activetype = "66";
		String channel = "test"; // 测试mangojs  正式 jstest
		//String timestamp = System.currentTimeMillis()/1000L + "" ;
		String timestamp = String.valueOf(System.currentTimeMillis() / 1000);
		String cpid = "mangtv16";
		String spid="1008";
//  timestamp = "1589180534" ;
//  System.out.println("activetype>>>>>"+activetype) ;
//  System.out.println("userid>>>>>"+userid) ;
//  System.out.println("givecpid>>>>>"+givecpid) ;
//  System.out.println("timestamp>>>>>"+timestamp) ;
//  System.out.println("pwd>>>>>"+pwd) ;
		String signature = MD5.MD5Encode( userid   + pwd+timestamp).toLowerCase();
		System.out.println("signature>>>>>>" + signature);
		Map<String, String> params = new HashMap<String, String>();
		params.put("userid", enUserid);
		params.put("activetype", activetype);
		//params.put("channel", channel);
		params.put("timestamp", timestamp);
		params.put("signature", signature);
		params.put("cpid", cpid);
		params.put("spid",spid);
		params.put("activetype",activetype);

		String url = URLUtil.mapToUrl(baseUrl, params);
		System.out.println(url);
		String result = null;
		try {
			result = URLUtil.get(url);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		System.out.println("result>>>>>>>>>>" + result);

	}

	@Test
	public void getVideoOrderHandle() throws Exception {
		String url = "";
		// 测试环境
		//String baseUrl = "http://114.255.201.228:86/video-order/handle";
		//baseUrl = "http://10.199.99.158:18071/video-order/handle";
		//baseUrl = "http://10.0.17.71:30025/univideo/handle" ;
		//baseUrl = "http://127.0.0.1:8084/univideo/handle" ;

		// 正式环境
		String baseUrl = "http://114.255.201.221:809/univideo/handle";
		//String baseUrl = "http://10.199.99.161:18071/univideo/handle";
		//String baseUrl = "http://10.199.99.161:18071/univideo/handle";
		// String baseUrl = "http://10.199.99.160:18071/univideo/handle";
		//baseUrl ="http://127.0.0.1:18071/univideo/handle" ;

			String cpid = "tencent";
			// cpid = "tencent"; //gdtencent leshilt
			String spid = "1006";
			spid = "101";//115
			String userid = "18673197465"; // 15505255932 18507699021
			String type = "0"; // 0 订购 2 预订购（广东腾讯） 畅视2元无预订购
			// String canceltype = "1";
			String channel = "duancai_190411";
			//channel="dxgzh" ;
			// String apptype ="2";
			String timestamp = (System.currentTimeMillis()) / 1000 + "";
			String pwd = "khrewqad"; // TB_CHANNEL_ORG表的PASSWORD 渠道表的密码
			pwd = "$RFV5tgb";   //$RFV5tgb  2wsx3edc
			//pwd = "2wsx!QAZ" ;

			String access = "1";

			// String seqnumber = "123456789"; //可以为空
			SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHH24mmss");
			Date d = new Date();
			// System.out.println(sdf.format(d));
			String orderid = sdf.format(d);
			// orderid = "2019062600241420";
			String usertype = "1"; // usertype(赠送会员的账户类型,1为qq号,2微信号 )，订购时需要，退订不要
			usertype = "";
			String userval = "302416046"; // userval(会员的账户,如果usertype=1
			// 那么userval=用户的qq号码，订购时需要，退订不要
			// userval = "";
			userid = DesUtil.encode(userid, pwd);

			System.out.println("userid:" + userid);
			String signature = orderid + cpid + spid + userid + type + channel + timestamp + pwd;
			//String signature = cpid + spid + userid + type + channel + timestamp + pwd;
			System.out.println("签名前：" + signature);


	}
}