package com.chinacreator.video;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.xml.bind.DatatypeConverter;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.time.DateFormatUtils;
import org.junit.Test;
import com.alibaba.fastjson.JSON;
import com.chinacreator.video.util.DesUtil;
import com.chinacreator.video.util.MD5;
import com.chinacreator.video.util.URLUtil;

public class TestsAnyc { 
	
	private static String url ="http://127.0.0.1:8093/";
	
	//private static String url ="http://114.255.201.228:86/activity/";
	
	//private static String url ="http://114.255.201.238:8090/video-activity/";
	
	//private static String url ="http://127.0.0.142:8090/video-activity/";

	//test
	private static String asycurl = "http://open.10010.com/openservlet";
	
	//pro
	//private static String asycurl = "http://open.10010.com/openservlet";
	
	@Test
	public void noticeorder() throws Exception {
		String result =URLUtil.get(url+"notifyOrder?orderid=unicom1809122318545279104013933");
		System.out.println(result);
	}
	
	@Test
	public void noticevip() throws Exception {
		String result =URLUtil.get(url+"notifyVip?orderid=unicom180709173511112920102859");
		System.out.println(result);
	}
	
	
	@Test
	public void noticeresult() throws Exception {
		String result =URLUtil.get(url+"notify?orderid=unicom180709173511112920102859");
		System.out.println(result);
	}
	
	
	@Test
	public void query() throws Exception {
		url = url +"queryAction?";
		String orderid = "1536743593962";
		String channel ="tenc12";
		String pwd ="jasuwsbk";
		String timestamp = (System.currentTimeMillis()/1000)+"";
		String signature = MD5.MD5Encode(orderid+channel+timestamp+pwd);
		System.out.println(signature);
		url = url+"orderid="+orderid+"&channel="+channel+"&signature="+signature+"&timestamp="+timestamp;
		System.out.println(url);
		String result = URLUtil.get(url);
		System.out.println(result);
	}
	
	@Test
	public void anyc() throws Exception { 
		String appkey ="com.aop.app.unicomonline";
		String method = "com.ssp.method.tencentvideovipinform";
		String apptx = System.currentTimeMillis()+"";
		String securet ="fKldgAqrjWAMW67FLGIMja9OcUYF50TXToFrx3jF9Ka+eG08cjySLkC+Ns7KnyTfKCAa+G35uvDqODqzaAtFyA==";
		String timestamp =DateFormatUtils.format(new Date(),"yyyy-MM-dd HH:mm:ss");
		String outorder = "unicom180709173511112920102859";
		String usernumber = "18574414678";
		String usertype = "1";
		String userval = "306581007";
		String busitime = "20180920041020";
		String resultcode = "0";
		//String resultinfo = "订购失败，VAC错误";
		List<String> signList = new ArrayList<>();
		Map<String,String> map = new HashMap<>();
		signList.add("appkey");
		map.put("appkey", appkey);
		signList.add("method");
		map.put("method", method);
		signList.add("apptx");
		map.put("apptx", apptx);
		signList.add("timestamp");
		map.put("timestamp", timestamp);
		signList.add("outorder");
		map.put("outorder", outorder);
		signList.add("usernumber");
		map.put("usernumber", usernumber);
		signList.add("usertype");
		map.put("usertype", usertype);
		signList.add("userval");
		map.put("userval", userval);
		signList.add("busitime");
		map.put("busitime", busitime);
		signList.add("resultcode");
		map.put("resultcode", resultcode);
//		signList.add("resultinfo");
//		map.put("resultinfo", resultinfo);
		String sign = getSign(signList, securet,map);
		String aurl = asycurl+"?outorder="+outorder+"&usernumber="+usernumber+"&usertype="+usertype+"&userval="+userval+"&busitime="+busitime+"&resultcode="+resultcode+
				"&appkey="+appkey+"&sign="+sign+"&apptx="+apptx+"&timestamp="+timestamp+"&method="+method;
		System.out.println(aurl);
		String result = URLUtil.postForm(aurl,"", 6000);
		System.out.println(result);
	}
	
	 
	public String getSign(List<String> list,String securet,Map<String,String> map) throws UnsupportedEncodingException, NoSuchAlgorithmException {
		StringBuilder strb = new StringBuilder();
		strb.append(securet);
		Collections.sort(list);
		for (String string : list) {
			if(StringUtils.isNotEmpty(map.get(string))) {
				strb.append("$"+string+"$"+map.get(string));
			}
		}
		strb.append("$"+securet);
		System.out.println("sign加密前======》"+strb.toString());
		MessageDigest md = MessageDigest.getInstance("MD5");
		md.update(strb.toString().getBytes("UTF-8"));
        byte[] digest = md.digest();
        String s = DatatypeConverter.printBase64Binary(digest);
        System.out.println("md5加密后======》"+s);
		String sign = s;
		System.out.println("base64加密后======》"+sign);
	    return sign;
	}
	
	@Test
	public void recive() throws Exception {
		url = url +"asynOrder";
		String userid = "18574414678";
		String pwd = "jasuwsbk";
		String action = "1";
		userid = DesUtil.encode(userid, pwd);
		String timestamp = (System.currentTimeMillis()/1000)+"";
		String cpid = "tencent";
		String spid = "85";
		String userval="306581007";
		String usertype ="1";
		String channel = "tenc12";
		String orderid = "";
		String signature = MD5.MD5Encode(orderid+channel+timestamp+action+pwd);
		Map<String,String> map = new HashMap<>();
		map.put("cpid", cpid);
		map.put("spid", spid);
		map.put("userval", userval);
		map.put("usertype", usertype);
		map.put("userid", userid);
		Map<String,String> map0 = new HashMap<>();
		map0.put("action", action);
		map0.put("timestamp", timestamp);
		map0.put("channel", channel);
		map0.put("signature", signature);
		map0.put("orderid", orderid);
		map0.put("data", JSON.toJSONString(map));
		System.out.println(url);
		String result = URLUtil.post(url,JSON.toJSONString(map0));
		System.out.println(result);
	}
	
	@Test
	public void md5() throws NoSuchAlgorithmException, UnsupportedEncodingException {
		String param = "swUiuzms+bAqgNOhTaJAyaTFVdAhGaG2aPCUJ0o72P/dSFj8aRbFDOXjPTBB5oja9plfRNWgTKP1OFWBF2F85A==$appkey$com.aop.app.unicomonline$apptx$1525772432937$busitime$20180508101323$method$com.ssp.method.tencentvideovipinform$outorder$1525772433030$resultcode$0$timestamp$2018-05-08 17:40:32$usernumber$18574414678$usertype$1$userval$306581007$swUiuzms+bAqgNOhTaJAyaTFVdAhGaG2aPCUJ0o72P/dSFj8aRbFDOXjPTBB5oja9plfRNWgTKP1OFWBF2F85A==";
		MessageDigest md = MessageDigest.getInstance("MD5");
        md.update(param.getBytes("UTF-8"));
        byte[] digest = md.digest();
        String s = DatatypeConverter.printBase64Binary(digest);
        System.out.println(s);
        System.out.println(MD5.MD5Encode(param));
	}
	
	@Test
	public void encoyd() throws Exception{
		String str = "asdasdasdtfg";
		MessageDigest md = MessageDigest.getInstance("MD5");
        md.update(str.getBytes("UTF-8"));
        byte[] digest = md.digest();
        System.out.println( DatatypeConverter.printHexBinary(digest));
	}
	
	@Test
	public void recive1() throws Exception {
		Object data = "[]";
		System.out.println(JSON.toJSONString(data));
	}
	
}
